Update Notes
/unified/crm/notes/{id}
Path Parameters
The ID of the resource.
23423523Query Parameters
Refer Specifying query parameters in Truto APIs
The note's contact
12 supported1 required
The contact's unique identifier
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barRequest Body
Refer Writing data using Unified APIs
Account associated with the note. One of contact, account and opportunity is always required.
8 supported
The account's unique identifier
Contact associated with the note. One of contact, account and opportunity is always required.
12 supported
The contact's unique identifier
The note's content
13 supported2 required
1 supported
The note's leads
3 supported
The lead's unique identifier
Opportunity associated with the note. One of contact, account and opportunity is always required.
8 supported
The opportunity's unique identifier
The note's owner
13 supported
The note's owner's unique identifier
Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.
The note's title
3 supported
Response Body
The note's unique identifier
13 supported
The note's account
8 supported
The account's unique identifier
The note's contact
12 supported
The contact's unique identifier
The note's content
13 supported
The date and time of the note's creation
13 supported
The note's leads
3 supported
The lead's unique identifier
The note's opportunities
8 supported
The opportunity's unique identifier
The note's owner
13 supported
The note's owner's unique identifier
Raw data returned from the remote API call.
The note's title
3 supported
The date and time of the note's last update
11 supported
The note's urls
1 supported
The note's URL type
The note's URL
The note's visibility
publicprivate
curl -X PATCH 'https://api.truto.one/unified/crm/notes/{id}?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json' \
-d '{
"content": "your_content",
"owner": {},
"contact": [],
"account": {},
"opportunity": [],
"title": "your_title",
"lead": [],
"remote_data": {}
}'const integratedAccountId = '<integrated_account_id>';
const body = {
"content": "your_content",
"owner": {},
"contact": [],
"account": {},
"opportunity": [],
"title": "your_title",
"lead": [],
"remote_data": {}
};
const response = await fetch(`https://api.truto.one/unified/crm/notes/{id}?integrated_account_id=${integratedAccountId}`, {
method: 'PATCH',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
body: JSON.stringify(body),
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/crm/notes/{id}"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
payload = {
"content": "your_content",
"owner": {},
"contact": [],
"account": {},
"opportunity": [],
"title": "your_title",
"lead": [],
"remote_data": {}
}
response = requests.patch(url, headers=headers, params=params, json=payload)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.update(
'crm',
'notes',
'<resource_id>',
{
"content": "your_content",
"owner": {},
"contact": [],
"account": {},
"opportunity": [],
"title": "your_title",
"lead": [],
"remote_data": {}
},
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.unified_api.update(
"crm",
"notes",
"<resource_id>",
{
"content": "your_content",
"owner": {},
"contact": [],
"account": {},
"opportunity": [],
"title": "your_title",
"lead": [],
"remote_data": {}
},
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())